%define url_ver %(echo %{version} | cut -d "." -f -2)

%define api_version	3.0
%define lib_major	2
%define lib_name	%mklibname %{name} %{api_version} %{lib_major}
%define develname	%mklibname -d %{name}

Summary:	C++ binding for the gdl library
Name:		gdlmm
Version:	3.7.3
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires: pkgconfig(gdl-3.0) >= 3.7
BuildRequires: pkgconfig(glibmm-2.4) >= 2.16
BuildRequires: pkgconfig(gtkmm-3.0) >= 3.0
BuildRequires: doxygen
BuildRequires: xsltproc

%description
gdlmm is the C++ binding for the gdl library.


#--------------------------------------------------------------------

%package -n %{lib_name}
Summary: C++ binding for the gdl library
Group: System/Libraries

%description -n %{lib_name}
gdlmm is the C++ binding for the gdl library.

%files -n %{lib_name}
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/libgdlmm-%{api_version}.so.%{lib_major}*

#--------------------------------------------------------------------

%package -n %develname
Summary:        Libraries and include files for gdlmm
Group:          Development/C++
Requires: 	%lib_name = %version
Provides:	%{name}-devel = %{version}-%{release}

%description -n %develname
gdlmm development files. 

%files -n %develname
%doc %_datadir/doc/gdlmm-%{api_version}/
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/%{name}-%{api_version}
%{_datadir}/devhelp/books/%{name}-%{api_version}

#--------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
NOCONFIGURE=1 ./autogen.sh

# first remove outdated generated source files
%configure2_5x
make maintainer-clean

# now build it
%configure2_5x
# generate source files
pushd gdl/src
make all-local
popd
%make

%install
%makeinstall_std

rm -fr %buildroot%_libdir/*.la


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 3.7.3-2.mga4
+ Revision: 523906
- Mageia 4 Mass Rebuild

* Sun May 26 2013 fwang <fwang> 3.7.3-1.mga4
+ Revision: 428092
- bump libmajor
- new version 3.7.3

* Sat Jan 12 2013 cjw <cjw> 3.3.2-7.mga3
+ Revision: 351547
- add BuildRequires: xsltproc
- add BuildRequires: doxygen
- fix build

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + fwang <fwang>
    - add upstream patch to build with latest gdl

* Thu Sep 06 2012 fwang <fwang> 3.3.2-5.mga3
+ Revision: 288728
- rebuild for new gdl

* Sun Jul 15 2012 wally <wally> 3.3.2-4.mga3
+ Revision: 271107
- rebuild for new gdl

* Sun Apr 22 2012 ovitters <ovitters> 3.3.2-3.mga2
+ Revision: 232674
- rebuild for new gdl

* Sun Apr 01 2012 fwang <fwang> 3.3.2-2.mga2
+ Revision: 227719
- rebuild for new gdl

* Thu Nov 24 2011 fwang <fwang> 3.3.2-1.mga2
+ Revision: 171540
- update libmajor
- rediff layout patch
- new version 3.3.2

* Mon Nov 21 2011 fwang <fwang> 3.2.1-1.mga2
+ Revision: 170233
- more removal
- more patch
- add upstream patch to build with latest gdl
- imported package gdlmm

